

const initialState = {
  todoText: '',
  todoList: []
}

export default function reducer(state=initialState, action){
    switch (action.type){
        case "TODO_TEXT_UPDATE":{
            return {
                ...state,
                todoText :action.payload.todoText,
            };
        }
        case "TODO_PUSH_ITEM":{
          state.todoList = [...state.todoList, action.payload.todoItem];
          return state;
        }
        default:
            return state
    }
}
